Subject: Re: [PATCH] describe: Add --left-only option

From: Mike Crowe <[email-masked]>
Date: Fri, 17 May 2013 16:16:23 +0100

On Fri, May 17, 2013 at 04:03:29PM +0100, John Keeping wrote:
> On Fri, May 17, 2013 at 03:24:26PM +0100, Mike Crowe wrote:
> > Only consider the first parent commit when walking the commit history. This
> > is useful if you only wish to match tags on your branch after a merge.
> 
> For consistency with "git log" should this be called "--first-parent"?
> 
> In "git log" --left-only takes effect only when considering a symmetric
> range, which "git describe" isn't.  Whereas --first-parent triggers
> precisely the behaviour described here.

I think you're right.

I'm happy to rename it and resubmit if the rest of the patch passes muster.

Thanks.

Mike.